JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32.COM
Class ITypeInfo

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.COM.IUnknown
              com.sun.jna.platform.win32.COM.ITypeInfo

All Implemented Interfaces:
  NativeMapped

Direct Known Subclasses:
  ITypeInfo.ByReference

    public class ITypeInfo

extends IUnknown

Wrapper class for the ITypeInfo interface

Author:
  Tobias Wolf, wolf.tobias@gmx.net

Nested Class Summary
`static class` `ITypeInfo.ByReference`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.COM.IUnknown
`IID_IDispatch`

Constructor Summary
`ITypeInfo()`
`ITypeInfo(Pointer pvInstance)`

Method Summary
`WinNT.HRESULT` `AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, PointerByReference ppv)`
`WinNT.HRESULT` `CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid, PointerByReference ppvObj)`
`WinNT.HRESULT` `GetContainingTypeLib(ITypeLib.ByReference pTLib, WinDef.UINTbyReference pIndex)`
`WinNT.HRESULT` `GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, WTypes.BSTR pBstrDllName, WTypes.BSTR pBstrName, WinDef.WORDbyReference pwOrdinal)`
`WinNT.HRESULT` `GetDocumentation(OaIdl.MEMBERID memid, WTypes.BSTR pBstrName, WTypes.BSTR pBstrDocString, WinDef.DWORDbyReference pdwHelpContext, WTypes.BSTR pBstrHelpFile)`
`WinNT.HRESULT` `GetFuncDesc(WinDef.UINT index, OaIdl.FUNCDESC.ByReference pFuncDesc)`
`WinNT.HRESULT` `GetIDsOfNames(WString[] rgszNames, WinDef.UINT cNames, OaIdl.MEMBERID[] pMemId)`
`WinNT.HRESULT` `GetImplTypeFlags(WinDef.UINT index, IntByReference pImplTypeFlags)`
`WinNT.HRESULT` `GetMops(OaIdl.MEMBERID memid, WTypes.BSTR pBstrMops)`
`WinNT.HRESULT` `GetNames(OaIdl.MEMBERID memid, WTypes.BSTR[] rgBstrNames, WinDef.UINT cMaxNames, WinDef.UINTbyReference pcNames)`
`WinNT.HRESULT` `GetRefTypeInfo(OaIdl.HREFTYPE hRefType, ITypeInfo.ByReference ppTInfo)`
`WinNT.HRESULT` `GetRefTypeOfImplType(WinDef.UINT index, OaIdl.HREFTYPEbyReference pRefType)`
`WinNT.HRESULT` `GetTypeAttr(OaIdl.TYPEATTR.ByReference pTypeAttr)`
`WinNT.HRESULT` `GetTypeComp(ITypeComp.ByReference pTComp)`
`WinNT.HRESULT` `GetVarDesc(WinDef.UINT index, OaIdl.VARDESC.ByReference pVarDesc)`
`WinNT.HRESULT` `Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, WinDef.UINTbyReference puArgErr)`
`void` `ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)`
`void` `ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)`
`void` `ReleaseVarDesc(OaIdl.VARDESC pVarDesc)`

Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown
`AddRef, QueryInterface, Release`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ITypeInfo

    public ITypeInfo()

### ITypeInfo

    public ITypeInfo(Pointer pvInstance)

Method Detail

### GetTypeAttr

    public WinNT.HRESULT GetTypeAttr(OaIdl.TYPEATTR.ByReference pTypeAttr)

### GetTypeComp

    public WinNT.HRESULT GetTypeComp(ITypeComp.ByReference pTComp)

### GetFuncDesc

    public WinNT.HRESULT GetFuncDesc(WinDef.UINT index,
                                     OaIdl.FUNCDESC.ByReference pFuncDesc)

### GetVarDesc

    public WinNT.HRESULT GetVarDesc(WinDef.UINT index,
                                    OaIdl.VARDESC.ByReference pVarDesc)

### GetNames

    public WinNT.HRESULT GetNames(OaIdl.MEMBERID memid,
                                  WTypes.BSTR[] rgBstrNames,
                                  WinDef.UINT cMaxNames,
                                  WinDef.UINTbyReference pcNames)

### GetRefTypeOfImplType

    public WinNT.HRESULT GetRefTypeOfImplType(WinDef.UINT index,
                                              OaIdl.HREFTYPEbyReference pRefType)

### GetImplTypeFlags

    public WinNT.HRESULT GetImplTypeFlags(WinDef.UINT index,
                                          IntByReference pImplTypeFlags)

### GetIDsOfNames

    public WinNT.HRESULT GetIDsOfNames(WString[] rgszNames,
                                       WinDef.UINT cNames,
                                       OaIdl.MEMBERID[] pMemId)

### Invoke

    public WinNT.HRESULT Invoke(WinDef.PVOID pvInstance,
                                OaIdl.MEMBERID memid,
                                WinDef.WORD wFlags,
                                OleAuto.DISPPARAMS.ByReference pDispParams,
                                Variant.VARIANT.ByReference pVarResult,
                                OaIdl.EXCEPINFO.ByReference pExcepInfo,
                                WinDef.UINTbyReference puArgErr)

### GetDocumentation

    public WinNT.HRESULT GetDocumentation(OaIdl.MEMBERID memid,
                                          WTypes.BSTR pBstrName,
                                          WTypes.BSTR pBstrDocString,
                                          WinDef.DWORDbyReference pdwHelpContext,
                                          WTypes.BSTR pBstrHelpFile)

### GetDllEntry

    public WinNT.HRESULT GetDllEntry(OaIdl.MEMBERID memid,
                                     OaIdl.INVOKEKIND invKind,
                                     WTypes.BSTR pBstrDllName,
                                     WTypes.BSTR pBstrName,
                                     WinDef.WORDbyReference pwOrdinal)

### GetRefTypeInfo

    public WinNT.HRESULT GetRefTypeInfo(OaIdl.HREFTYPE hRefType,
                                        ITypeInfo.ByReference ppTInfo)

### AddressOfMember

    public WinNT.HRESULT AddressOfMember(OaIdl.MEMBERID memid,
                                         OaIdl.INVOKEKIND invKind,
                                         PointerByReference ppv)

### CreateInstance

    public WinNT.HRESULT CreateInstance(IUnknown pUnkOuter,
                                        Guid.REFIID riid,
                                        PointerByReference ppvObj)

### GetMops

    public WinNT.HRESULT GetMops(OaIdl.MEMBERID memid,
                                 WTypes.BSTR pBstrMops)

### GetContainingTypeLib

    public WinNT.HRESULT GetContainingTypeLib(ITypeLib.ByReference pTLib,
                                              WinDef.UINTbyReference pIndex)

### ReleaseTypeAttr

    public void ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)

### ReleaseFuncDesc

    public void ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)

### ReleaseVarDesc

    public void ReleaseVarDesc(OaIdl.VARDESC pVarDesc)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.